
Eina_Bool _efl_ui_button_legacy_part_efl_content_content_set(Eo *obj, void *pd, Efl_Gfx_Entity *content);


static Eina_Bool
_efl_ui_button_legacy_part_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_BUTTON_LEGACY_PART_EXTRA_OPS
#define EFL_UI_BUTTON_LEGACY_PART_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_ui_button_legacy_part_efl_content_content_set),
      EFL_UI_BUTTON_LEGACY_PART_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_button_legacy_part_class_desc = {
   EO_VERSION,
   "Efl.Ui.Button_Legacy_Part",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_ui_button_legacy_part_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_button_legacy_part_class_get, &_efl_ui_button_legacy_part_class_desc, EFL_UI_LAYOUT_PART_CONTENT_CLASS, NULL);
